package rozwiazania_zadan.r1.z06_zgadywanka;

import java.util.Random;
import java.util.Scanner;

public class MaloDuzo_v2 {

	public static void main(String[] args) {
		final int LIMIT = 1000;
		Scanner sc = new Scanner(System.in);
		
		Random r = new Random();
		int szukana = r.nextInt(LIMIT);
		
		System.out.println("Wylosowałem liczbę z zakresu od 0 do " + (LIMIT-1) + ". Spróbuj ją odgadnąć...");
		
		int ileProb = 0;
		int propozycja;
		do {
			ileProb += 1;
			System.out.println("Wprowadź liczbę: ");
			propozycja = sc.nextInt();
			if(propozycja < szukana) {
				System.out.println("Podana liczba jest zbyt mała.");
			} else if(propozycja > szukana) {
				System.out.println("Podana liczba jest zbyt duża.");
			}
		} while(propozycja != szukana);
		System.out.println();
		System.out.println("Brawo! Tą liczbą jest " + szukana);
		System.out.println("Udało ci się odgadnąć w " + ileProb + " próbie.");
	}

}
